/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* Any JavaScript here will be loaded for all users on every page load. */

 // ==========
 // Adding a star picture for featured articles in other languages, see [[Formula:Link_FA]] BEGIN
 // adapted from [[:de:MediaWiki:Common.js]]
 
 /** set to false in [[Special:Mypage/monobook.js]] to switch off this "feature" */
 var enable_linkFA = true;
 
 /** 
  * star logo for featured articles in other languages,
  * see [[Formula:Link_FA]] and [[MediaWiki:common.css]]
  */
 function linkFA() {
   // early exit when disabled
   if (!enable_linkFA) return;
   
   // links are to replaced in p-lang only
   var pLang = document.getElementById("p-lang");
   if (!pLang) return;
   var lis = pLang.getElementsByTagName("li");
   for (var i=0; i<lis.length; i++) {
     var li = lis[i];
     // only links with a corresponding Link_FA template are interesting
     if (!document.getElementById(li.className + "-fa")) continue;
     // additional class so the template can be hidden with CSS
     li.className += " FA";
     // change title
     li.title = "Haec pagina optime scripta est";
   }
 }
 
 addOnloadHook(linkFA);
 
 // Adding a star picture for featured articles in other languages, see [[Formula:Link_FA]] END
 // ==========

 // ==========
 // Expandible/collapsible navigation boxes BEGIN
 // adapted from [[:de:MediaWiki:Monobook.js]]
 var NavigationBarHide = '[ ▲ Celare ]';
 var NavigationBarShow = '[ ▼ Monstrare ]';
 
 // set up max count of Navigation Bars on page,
 // if there are more, all will be hidden
 // NavigationBarShowDefault = 0; // all bars will be hidden
 // NavigationBarShowDefault = 1; // on pages with more than 1 bar all bars will be hidden
 if (typeof NavigationBarShowDefault == 'undefined' ) {
     var NavigationBarShowDefault = 0;
 }
 
 // shows and hides content and picture (if available) of navigation bars
 // Parameters:
 //     indexNavigationBar: the index of navigation bar to be toggled
 function toggleNavigationBar(indexNavigationBar)
 {
    var NavToggle = document.getElementById("NavToggle" + indexNavigationBar);
    var NavFrame = document.getElementById("NavFrame" + indexNavigationBar);
 
    if (!NavFrame || !NavToggle) {
        return false;
    }
 
    var ShowText = NavigationBarShow;
    var HideText = NavigationBarHide;
    if (NavFrame.title != undefined || NavFrame.title.length != 0) {
       var arrShowHide = NavFrame.title.split("§");
       if (arrShowHide.length > 0 && arrShowHide[0] && arrShowHide[0].length > 0) {
          ShowText = arrShowHide[0];
       }
       if (arrShowHide.length > 1 && arrShowHide[1] && arrShowHide[1].length > 0) {
          HideText = arrShowHide[1];
       }
    }
 
    // if shown now
    if (NavToggle.firstChild.data == HideText) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'none';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'none';
            }
            if (NavChild.className == 'NavToggle') {
                NavChild.firstChild.data = ShowText;
            }
        }
 
    // if hidden now
    } else if (NavToggle.firstChild.data == ShowText) {
        for (
                var NavChild = NavFrame.firstChild;
                NavChild != null;
                NavChild = NavChild.nextSibling
            ) {
            if (NavChild.className == 'NavPic') {
                NavChild.style.display = 'block';
            }
            if (NavChild.className == 'NavContent') {
                NavChild.style.display = 'block';
            }
            if (NavChild.className == 'NavToggle') {
                NavChild.firstChild.data = HideText;
            }
        }
    }
 }
 
 // adds show/hide-button to navigation bars
 function createNavigationBarToggleButton()
 {
    var indexNavigationBar = 0;
    var arrShow = new Array();
    // iterate over all < div >-elements
    for(
            var i=0; 
            NavFrame = document.getElementsByTagName("div")[i]; 
            i++
        ) {
        // if found a navigation bar
        if (NavFrame.className == "NavFrame") {
 
            indexNavigationBar++;
            var NavToggle = document.createElement("a");
            NavToggle.className = 'NavToggle';
            NavToggle.setAttribute('id', 'NavToggle' + indexNavigationBar);
            NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavigationBar + ');');
 
            var HideText = NavigationBarHide;
            if (NavFrame.title != undefined || NavFrame.title.length != 0) {
               var arrShowHide = NavFrame.title.split("§");
               if (arrShowHide.length > 1 && arrShowHide[1] && arrShowHide[1].length > 0) {
                  HideText = arrShowHide[1];
               }
               if (arrShowHide.length > 2 && arrShowHide[2] && arrShowHide[2] == "show" ) {
                  arrShow[indexNavigationBar] = true;
               }
            }
            var NavToggleText = document.createTextNode(HideText);
            NavToggle.appendChild(NavToggleText);
 
            // add NavToggle-Button as first div-element 
            // in < div class="NavFrame" >
            NavFrame.insertBefore(
                NavToggle,
                NavFrame.firstChild
            );
            NavFrame.setAttribute('id', 'NavFrame' + indexNavigationBar);
        }
    }
    // if more Navigation Bars found than Default: hide all
    if (NavigationBarShowDefault < indexNavigationBar) {
        for(
                var i=1; 
                i<=indexNavigationBar; 
                i++
        ) {
            if (!arrShow[i]) toggleNavigationBar(i);
        }
    }
 
 }
 
 addOnloadHook(createNavigationBarToggleButton);
 
 // Expandible/collapsible navigation boxes END
 // ==========

 // ==========
 // add "Upload to commons" link to toolbox BEGIN
 // adapted from [[:it:MediaWiki:Monobook.js]]
 
 function linkUploadToCommons() {
   if (document.getElementById("carrega-para-commons")) return;
   var li_carrega = document.getElementById("t-upload");
   if (!li_carrega) return;
   var afegit = li_carrega.nextSibling;
   var ul_eines = li_carrega.parentNode;
   var li = document.createElement("li");
   li.id = "carrega-para-commons";
   li.innerHTML = '<a href="http://commons.wikimedia.org/wiki/Special:Upload" title="Onerare imagines vel fasciculos in Vicimedia Communia [u]" accesskey="u">Fasciculos in Communia onerare</a>';
   updateTooltipAccessKeys(li.childNodes);
   if (afegit) ul_eines.insertBefore(li, afegit);
   else ul_eines.appendChild(li);
 }
 
 addOnloadHook(linkUploadToCommons);
 
 // add "Upload to commons" link to toolbox END
 // ==========

 // ==========
 // conditional import of [[MediaWiki:onlyifediting.js]] BEGIN
 // taken from [[:de:MediaWiki:Monobook.js]]
 
 if (document.URL.indexOf("action=edit") > 0 || document.URL.indexOf("action=submit") > 0) {
   document.write('<script type="text/javascript" src="/w/index.php?title=MediaWiki:Onlyifediting.js&action=raw&ctype=text/javascript&dontcountme=s"></script>');
 }
 
 // conditional import of [[MediaWiki:onlyifediting.js]] END
 // ==========

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/* Deprecated; use [[MediaWiki:common.js]] */